CVE-2024-5742

CVSS 3.1 Score 4.7 of 10 (medium)

Details

Published Jun 12, 2024
Updated: Jun 13, 2024
CWE ID 377

Summary

CVE-2024-5742 is a vulnerability found in GNU Nano, a text editor. The vulnerability allows for possible privilege escalation through an insecure temporary file. When Nano is killed while editing, it saves a file to an emergency file with the permissions of the running user, creating an opportunity for attackers to escalate privileges through a malicious symlink. This vulnerability has a base severity of MEDIUM and a base score of 4.7. It requires low privileges and does not require user interaction, making it exploitable locally. The integrity impact is high, but there is no impact on confidentiality or availability. To remediate this vulnerability, users should update to the latest version of GNU Nano when available.

Prevent cyber attacks with Recorded Future by prioritizing and patching critical vulnerabilities being exploited by threat actors targeting your industry. Book your demo to learn more.

Share

Prioritize, Pinpoint, and Act to Prevent Vulnerability Exploits with Recorded Future

Note: This is just a basic overview providing quick insights into CVE-2024-5742 information. Gain full access to comprehensive CVE data, third party vulnerabilities, compromised credentials and more with Recorded Future
  • Gain complete coverage of your cyber, third party, and physical attack surface
  • Proactively mitigate threats before they turn into costly attacks
  • Make fast, effective, data-driven decisions